<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:background="@color/col_6f7"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/title_white_bar"
        android:id="@+id/title"/>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/title"
        android:layout_above="@+id/tv_save">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_img"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/title"
                android:background="@drawable/shape_round_white"
                android:layout_marginTop="@dimen/dp_14"
                android:layout_marginLeft="@dimen/dp_14"
                android:layout_marginRight="@dimen/dp_14"
                android:paddingLeft="@dimen/dp_16"
                android:paddingRight="@dimen/dp_16"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_22"
                    android:drawableStart="@drawable/shape_head_tip_new"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="上传图片"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="UseCompatTextViewDrawableXml" />

                <TextView
                    android:id="@+id/tv_num_desc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="重要内容拍照存储（0/5）"
                    android:layout_marginTop="@dimen/dp_21"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"/>

                <androidx.recyclerview.widget.RecyclerView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_16"
                    android:id="@+id/recycler"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="示例图"
                    android:textSize="@dimen/sp_15"
                    android:textColor="@color/col_c7c"
                    android:layout_marginTop="@dimen/dp_20"/>

                <com.ruffian.library.widget.RImageView
                    android:layout_width="@dimen/dp_70"
                    android:layout_height="@dimen/dp_70"
                    app:corner_radius="@dimen/dp_5"
                    android:layout_marginTop="@dimen/dp_11"
                    android:layout_marginBottom="@dimen/dp_11"
                    android:background="@mipmap/bg_templete"
                    app:is_circle="false"/>



                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_50"
                    >
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="报告标题"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/sp_15"
                        android:layout_centerVertical="true"
                        />

                    <EditText
                        android:id="@+id/et_report_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="@dimen/sp_15"
                        android:textColor="@color/col_313"
                        android:background="@null"
                        android:gravity="right"
                        android:textColorHint="@color/col_6B6"
                        android:hint="例：血常规报告"
                        android:layout_centerVertical="true"
                        android:layout_alignParentEnd="true"/>

                </RelativeLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_0_5"
                    android:background="@color/col_0f2"/>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_50"
                    >
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="报告类型"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/sp_15"
                        android:layout_centerVertical="true"
                        />

                    <TextView
                        android:id="@+id/tv_upload_type"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="@dimen/sp_15"
                        android:textColor="@color/col_313"
                        android:background="@null"
                        android:textColorHint="@color/col_6B6"
                        android:gravity="right"
                        android:hint="请选择报告类型"
                        android:drawablePadding="@dimen/dp_5"
                        android:drawableRight="@mipmap/icon_arrow_right"
                        android:layout_centerVertical="true"
                        android:layout_alignParentEnd="true"/>

                </RelativeLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_0_5"
                    android:background="@color/col_0f2"/>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_50"
                    >
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="报告时间"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/sp_15"
                        android:layout_centerVertical="true"
                        />

                    <TextView
                        android:id="@+id/tv_upload_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="@dimen/sp_15"
                        android:textColor="@color/col_313"
                        android:background="@null"
                        android:textColorHint="@color/col_6B6"
                        android:hint="请选择报告时间"
                        android:drawableRight="@mipmap/icon_arrow_right"
                        android:drawablePadding="@dimen/dp_5"
                        android:layout_centerVertical="true"
                        android:layout_alignParentEnd="true"/>

                </RelativeLayout>


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_14"
                android:layout_marginLeft="@dimen/dp_14"
                android:layout_marginRight="@dimen/dp_14"
                android:layout_marginBottom="@dimen/dp_35"
                android:orientation="vertical"
                android:background="@drawable/shape_round_white"
                android:layout_below="@+id/ll_img">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_22"
                    android:layout_marginLeft="@dimen/dp_16"
                    android:drawableStart="@drawable/shape_head_tip_new"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="备注（可选）"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="UseCompatTextViewDrawableXml" />

                <EditText
                    android:id="@+id/et_report_explain"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_round_gray"
                    android:layout_margin="16dp"
                    android:layout_marginTop="22dp"
                    android:gravity="top"
                    android:minHeight="@dimen/dp_100"
                    android:hint="请输入本次体检相关问题或医生建议"
                    android:maxLength="500"
                    android:padding="@dimen/dp_10"
                    android:text=""
                    android:textColor="@color/col_455"
                    android:textSize="@dimen/dp_14"
                    />

            </LinearLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>


    
    <TextView
        android:id="@+id/tv_save"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_margin="@dimen/dp_25"
        android:background="@drawable/shape_r25_02c"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        android:gravity="center"
        android:text="保存"
        android:layout_alignParentBottom="true"/>


</RelativeLayout>